{
  "compilerOptions": {
    "lib": ["es5", "es6", "ES2022"],
    "paths": {
      "router/*": ["./src/router/*"],
      "@/*": ["./src/*"]
    },
    "baseUrl": "./",
    "declaration": true, // 是否生成.d.ts文件
    "declarationDir": "./types", // .d.ts文件输出路径
    "target": "ES5", // 编译目标
    "module": "CommonJS",
    // "strict": true,
    "moduleResolution": "Node",
    "outDir": "./build",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true, // 用于指定是否启用实验性的装饰器特性
    "sourceMap": false,    
    // "resolveJsonModule": true,
    "allowSyntheticDefaultImports": true, // 用于允许从没有默认导出的模块中默认导入
    "esModuleInterop": true, //是否允许export=导出，import from导入
  },
  // "ts-node": {
  //   "esm": true
  // },
  "include": ["src/**/*", "index.ts"]
}
